This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1469198 - After Applying ERRATA-RHSA-2017:1601 full refreshes are being trigged frequently
After Applying ERRATA-RHSA-2017:1601 full refreshes are being trigged frequently
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
All All
high Severity high
: GA
: 5.9.0
Assigned To: Adam Grare
Alex Newman
: TestOnly, ZStream
Depends On:
Blocks: 1476284 1479886
  Show dependency treegraph
 
Reported: 2017-07-10 12:05 EDT by Ryan Spagnola
Modified: 2017-10-13 09:30 EDT (History)
10 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1476284 1479886 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description Ryan Spagnola 2017-07-10 12:05:18 EDT
Description of problem:
Customer seeing about 13 full refreshes a day in their dev environment which is small with the following objects:

Cluster 1
Hosts 4
Datastores 9
VMs 149
Templates 21

Version-Release number of selected component (if applicable):
5.7.3

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 8 Adam Grare 2017-07-13 11:16:33 EDT
This is an unexpected side-effect of the fix for https://bugzilla.redhat.com/show_bug.cgi?id=1469198 plus our config to restart the RefreshWorker every two hours.
Comment 9 Adam Grare 2017-07-13 13:40:48 EDT
> This is an unexpected side-effect of the fix for https://bugzilla.redhat.com/show_bug.cgi?id=1469198

Correct BZ link is https://bugzilla.redhat.com/show_bug.cgi?id=1439387
Comment 13 CFME Bot 2017-07-27 12:44:53 EDT
New commit detected on ManageIQ/manageiq-providers-vmware/master:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/3deafbeff9f2b4685e757590568c1e370d50743f

commit 3deafbeff9f2b4685e757590568c1e370d50743f
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Jul 13 11:22:16 2017 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Jul 14 08:54:09 2017 -0400

    Don't queue a refresh on RefreshWorker start
    
    The refresh_worker is restarted every 2 hours, by queueing a full
    refresh everytime the refresh_worker starts this was causing a
    significant number more full refreshes than before.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1469198

 .../manageiq/providers/vmware/infra_manager/refresh_worker/runner.rb  | 4 ----
 1 file changed, 4 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.